Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation.instrumentation.asm
Class AsmAnnotations

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotations

    public class AsmAnnotations

extends Object

Helper class to extract annotations by their name from a ClassInfo structure.

Author:
  Jonas Bonr , Alexandre Vasseur

Constructor Summary
`AsmAnnotations()`

Method Summary
`static Annotation` | `getAnnotation(String annotationName, ClassInfo classInfo)` Return the annotation with a specific name for a specific class.
`static Annotation` | `getAnnotation(String annotationName, ConstructorInfo constructorInfo)` Return the annotation with a specific name for a specific constructor.
`static Annotation` | `getAnnotation(String annotationName, FieldInfo fieldInfo)` Return the annotation with a specific name for a specific field.
`static Annotation` | `getAnnotation(String annotationName, MethodInfo methodInfo)` Return the annotation with a specific name for a specific method.
`static List` | `getAnnotations(String annotationName, ClassInfo classInfo)` Return a list with the annotations with a specific name for a specific class.
`static List` | `getAnnotations(String annotationName, ConstructorInfo constructorInfo)` Return a list with the annotations with a specific name for a specific constructor.
`static List` | `getAnnotations(String annotationName, FieldInfo fieldInfo)` Return a list with the annotations with a specific name for a specific field.
`static List` | `getAnnotations(String annotationName, MethodInfo methodInfo)` Return a list with the annotations with a specific name for a specific method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsmAnnotations

    public AsmAnnotations()

Method Detail

### getAnnotation

    public static Annotation getAnnotation(String annotationName,
                                           ClassInfo classInfo)

  Return the annotation with a specific name for a specific class.

  Parameters:
    `annotationName` - the annotation name
    `classInfo` - the ClassInfo object to find the annotation on.
  Returns:
    the annotation or null

### getAnnotation

    public static Annotation getAnnotation(String annotationName,
                                           MethodInfo methodInfo)

  Return the annotation with a specific name for a specific method.

  Parameters:
    `annotationName` - the annotation name
    `methodInfo` - the MethodInfo object to find the annotation on.
  Returns:
    the annotation or null

### getAnnotation

    public static Annotation getAnnotation(String annotationName,
                                           ConstructorInfo constructorInfo)

  Return the annotation with a specific name for a specific constructor.

  Parameters:
    `annotationName` - the annotation name
    `constructorInfo` - the ConstructorInfo object to find the annotation on.
  Returns:
    the annotation or null

### getAnnotation

    public static Annotation getAnnotation(String annotationName,
                                           FieldInfo fieldInfo)

  Return the annotation with a specific name for a specific field.

  Parameters:
    `annotationName` - the annotation name
    `fieldInfo` - the FieldInfo object to find the annotation on.
  Returns:
    the annotation or null

### getAnnotations

    public static List getAnnotations(String annotationName,
                                      ClassInfo classInfo)

  Return a list with the annotations with a specific name for a specific class.

  Parameters:
    `annotationName` - the annotation name
    `classInfo` - ClassInfo object to find the annotation on.
  Returns:
    the annotations in a list (can be empty)

### getAnnotations

    public static List getAnnotations(String annotationName,
                                      MethodInfo methodInfo)

  Return a list with the annotations with a specific name for a specific method.

  Parameters:
    `annotationName` - the annotation name
    `methodInfo` - the MethodInfo object to find the annotation on.
  Returns:
    the annotations in a list (can be empty)

### getAnnotations

    public static List getAnnotations(String annotationName,
                                      ConstructorInfo constructorInfo)

  Return a list with the annotations with a specific name for a specific constructor.

  Parameters:
    `annotationName` - the annotation name
    `constructorInfo` - the ConstructorInfo object to find the annotation on.
  Returns:
    the annotations in a list (can be empty)

### getAnnotations

    public static List getAnnotations(String annotationName,
                                      FieldInfo fieldInfo)

  Return a list with the annotations with a specific name for a specific field.

  Parameters:
    `annotationName` - the annotation name
    `fieldInfo` - the FieldInfo object to find the annotation on.
  Returns:
    the annotations in a list (can be empty)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.